import { __decorate, __metadata } from "tslib";
import { customElement, inject, children } from 'aurelia';
import { processContent } from '@aurelia/runtime-html';
import { defaultSlotProcessContent } from '@aurelia2-mdc-web/base';
/**
 * Optional. Footer area containing the dialog's action buttons.
 * @selector mdc-dialog-actions
 */
let MdcDialogActions = class MdcDialogActions {
    buttons;
    buttonsChanged() {
        for (let i = 0; i < this.buttons.length; ++i) {
            this.buttons[i].root.classList.add('mdc-dialog__button');
        }
    }
    attached() {
        if (this.buttons) {
            this.buttonsChanged();
        }
    }
};
__decorate([
    children({ query: controller => controller.host.querySelectorAll('.mdc-button') }),
    __metadata("design:type", Array)
], MdcDialogActions.prototype, "buttons", void 0);
MdcDialogActions = __decorate([
    inject(Element),
    customElement({ name: 'mdc-dialog-actions', template: '<template class="mdc-dialog__actions"><au-slot></au-slot></template>' }),
    processContent(defaultSlotProcessContent)
], MdcDialogActions);
export { MdcDialogActions };
//# sourceMappingURL=mdc-dialog-actions.js.map