import Aurelia from 'aurelia';
import { Constructable } from '@aurelia/kernel';
/** Dialog service open method options */
export interface IMdcDialogOptions<T extends {
    loading: (params: any) => any;
}> {
    /** A class represeting the dialog content view model */
    viewModel: Constructable<T>;
    /** Data to pass to the view model's loading method */
    model?: unknown;
}
/** Service to open MDC dialogs */
export declare class MdcDialogService {
    private readonly au;
    constructor(au: Aurelia);
    /** Opens the dialog specified in the options */
    open<T extends {
        loading: (params: any) => any;
    }>(options: IMdcDialogOptions<T>): Promise<string>;
}
