import { MdcComponent, MdcFocusTrap } from '@aurelia2-mdc-web/base';
import { MDCDialogFoundation } from '@material/dialog';
/**
 * @selector mdc-dialog
 */
export declare class MdcDialog extends MdcComponent<MDCDialogFoundation> implements EventListenerObject {
    id: number;
    contentId: string;
    titleId: string;
    private buttons;
    mdcFocusTrap: MdcFocusTrap;
    /** Action returned when the dialog is closed via the scrim click */
    scrimClickAction: string;
    scrimClickActionChanged(): void;
    /** Action returned when the dialog is closed via the ESC key */
    escapeKeyAction: string;
    escapeKeyActionChanged(): void;
    fullscreen: boolean;
    get defaultButton(): HTMLElement | null;
    get content(): HTMLElement | null;
    beforeFoundationCreated(): void;
    destroy(): void;
    handleClick_(evt: MouseEvent): boolean;
    handleKeydown_(evt: KeyboardEvent): boolean;
    handleEvent(evt: Event): void;
    handleOpening_(): void;
    handleClosing_(): void;
    /** Opens the dialog */
    open(): void;
    /**
     * Closes the dialog
     * @param action Action to close the dialog with
     */
    close(action?: string): void;
    getDefaultFoundation(): MDCDialogFoundation;
    getInitialFocusEl: () => HTMLElement | null;
}
/** @hidden */
export interface IMdcDialogElement extends HTMLElement {
    $au: {
        'au:resource:custom-element': {
            viewModel: MdcDialog;
        };
    };
}
